*       This script creates a program to add ghost pilots to the data in memory

********************************************************************************
*** Define the program to add ghost pilots to the data
******************************************************************************** 

program drop _all
program define add_ghosts


********************************************************************************
*** 1. add ghost pilots
********************************************************************************

sort name_id t

bysort name_id: egen t_min = min(t)
bysort name_id: egen t_max = max(t)


xtset name_id t
tsfill, full

bysort name_id: egen t_min_new = min(t_min)
drop t_min
rename t_min_new t_min

bysort name_id: egen t_max_new = max(t_max)
drop t_max
rename t_max_new t_max

drop if t < t_min

gen ghost_month = 0
replace ghost_month = 1 if t > t_max

end


